Upgrading OnGuard plugin from version 3.x to 5.1.3 - OnGuard 5.1.3

Lenel OnGuard Plugin Guide 5.1.3

Applies to
OnGuard 5.1.3
Last updated
2023-10-27
Content type
Guides > Plugin and extension guides
Language
English
Product
OnGuard
Version
5.1
Category
Plugin and extension guides

To upgrade the OnGuard plugin from version 3.x to version 5.1.3, you must copy your configurations and manually recreate the role because of major architecture changes between versions 3.x and 4.0.

What you should know

Changes in the plugin make it impossible to upgrade existing configurations from versions earlier than 4.0.

Procedure

  1. Take notes and screenshots of your plugin configuration.
  2. Deactivate the plugin role.
  3. Stop the Genetec™ Server service, and close Security Desk and Config Tool.
  4. Install the latest version of the plugin.
  5. On your database server, create the database for the plugin role to use.
    IMPORTANT: To avoid overwriting your backup database, use a name that is different from the name of the database in the previous plugin version.
  6. Create a new plugin role using the configuration notes you took in step 2.
  7. When the integration using the new plugin works as expected, delete the version 3.x plugin role.
    The plugin is ready for use.

After you finish